LibreOffice: XDefaultNumberingProvider Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDefaultNumberingProvider Interface Referencepublished

provides access to default com::sun::star::text::NumberingRules according to a given locale information. More...

`import "XDefaultNumberingProvider.idl";`

Inheritance diagram for XDefaultNumberingProvider:

## Public Member Functions
sequence< com::sun::star::container::XIndexAccess > | getDefaultOutlineNumberings ([in]com::sun::star::lang::Locale aLocale)
| provides access to outline numberings according to a given com::sun::star::lang::Locale.
sequence< com::sun::star::beans::PropertyValues > | getDefaultContinuousNumberingLevels ([in]com::sun::star::lang::Locale aLocale)
| provides access to outline numberings according to a given com::sun::star::lang::Locale.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to default com::sun::star::text::NumberingRules according to a given locale information.

See also
  com::sun::star::text::NumberingRules
  com::sun::star::lang::Locale

Version
  1.0

## Member Function Documentation

## ◆ getDefaultContinuousNumberingLevels()

sequence< com::sun::star::beans::PropertyValues > getDefaultContinuousNumberingLevels | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

provides access to outline numberings according to a given com::sun::star::lang::Locale.

In contrast to outline numberings the continuous numberings consist of level using the equal settings in all numbering levels.

See also
  com::sun::star::text::NumberingLevel
  com::sun::star::lang::Locale

## ◆ getDefaultOutlineNumberings()

sequence< com::sun::star::container::XIndexAccess > getDefaultOutlineNumberings | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

provides access to outline numberings according to a given com::sun::star::lang::Locale.

Outline numberings usually consist of levels with different settings.

See also
  com::sun::star::text::NumberingLevel

The documentation for this interface was generated from the following file:

- com/sun/star/text/XDefaultNumberingProvider.idl